ooo-build r15131 - in branches/opensuse-11-1: . bin bin/piece src src/layout



Author: pmladek
Date: Thu Jan 22 16:53:39 2009
New Revision: 15131
URL: http://svn.gnome.org/viewvc/ooo-build?rev=15131&view=rev

Log:
2009-01-22  Petr Mladek  <pmladek suse cz>

	* bin/piece/file-list-postprocess: add bash completion also to the
	  split build

	* src/sg3.sdg, src/sg3.thm, src/sg3.sdv, bin/piece/install-bootstrap:
	* bin/piece/file-list-l10n, bin/piece/sys-setup.in: use the hacked
	  "Backgrounds" gallery for Novell (added the Draft.jpg picture)

	* bin/java-set-classpath.in: fix for the 3-layer system
	* bin/piece/file-list-postprocess: install java-set-classpath in
	  the split build as well (bnc#465250)

	* src/layout/Makefile.am: pack the layout icons to the released tarball
	* bin/piece/install-bootstrap: put the extra icons to the bootstrap
	  package
	* bin/unpack, bin/install-artwork: copy the extra icons in
	  install-artwork insterad of bin/unpack; then they are used also
	  in the split build (bnc#458929)



Added:
   branches/opensuse-11-1/src/sg3.sdg   (contents, props changed)
   branches/opensuse-11-1/src/sg3.sdv   (contents, props changed)
   branches/opensuse-11-1/src/sg3.thm   (contents, props changed)
Modified:
   branches/opensuse-11-1/ChangeLog
   branches/opensuse-11-1/bin/install-artwork
   branches/opensuse-11-1/bin/java-set-classpath.in
   branches/opensuse-11-1/bin/piece/file-list-l10n
   branches/opensuse-11-1/bin/piece/file-list-postprocess
   branches/opensuse-11-1/bin/piece/install-bootstrap
   branches/opensuse-11-1/bin/piece/sys-setup.in
   branches/opensuse-11-1/bin/unpack
   branches/opensuse-11-1/src/layout/Makefile.am

Modified: branches/opensuse-11-1/bin/install-artwork
==============================================================================
--- branches/opensuse-11-1/bin/install-artwork	(original)
+++ branches/opensuse-11-1/bin/install-artwork	Thu Jan 22 16:53:39 2009
@@ -51,6 +51,10 @@
 	cp $src/layout/*.png $dest/ooo_custom_images/industrial/res/commandimagelist
 	cp $src/layout/*.png $dest/ooo_custom_images/tango/res/commandimagelist
 	tar -C $src/layout --exclude=.svn -cf- default_images ooo_custom_images | tar -C $dest -xf-
+
+	# Extra command images
+	cp -f $src/icons/*.png $dest/default_images/res/commandimagelist/ || exit 1
+	cp -f $src/icons/tango/*.png $dest/ooo_custom_images/tango/res/commandimagelist/ || exit 1
 else
 	echo "	skipping default_images"
 fi

Modified: branches/opensuse-11-1/bin/java-set-classpath.in
==============================================================================
--- branches/opensuse-11-1/bin/java-set-classpath.in	(original)
+++ branches/opensuse-11-1/bin/java-set-classpath.in	Thu Jan 22 16:53:39 2009
@@ -36,7 +36,7 @@
     exit 0;
 fi
 
-JVM_CONFIG_FILE= OOINSTBASE@/program/jvmfwk3rc
+JVM_CONFIG_FILE= OOINSTBASE@/basis-link/program/fundamentalbasisrc
 
 for path in $@ ; do
     if test "z${path%%/*}" != "z" ; then
@@ -45,19 +45,19 @@
     fi
     if test -e $path ; then
 	# the file exist
-	grep "UNO_JAVA_JFW_CLASSPATH_URLS.*file:/*$path\([[:space:]].*\)\?$" $JVM_CONFIG_FILE >/dev/null && continue
+	grep "URE_MORE_JAVA_CLASSPATH_URLS.*file:/*$path\([[:space:]].*\)\?$" $JVM_CONFIG_FILE >/dev/null && continue
 	# it is not registered
 	TMP_FILE=`mktemp /tmp/ooset-java-class.XXXXXXXXXX` || exit 1
- 	sed -e "s|^\(.*UNO_JAVA_JFW_CLASSPATH_URLS.*\)$|\1 file:$path|" $JVM_CONFIG_FILE >$TMP_FILE
+ 	sed -e "s|^\(.*URE_MORE_JAVA_CLASSPATH_URLS.*\)$|\1 file:$path|" $JVM_CONFIG_FILE >$TMP_FILE
 	mv -f $TMP_FILE $JVM_CONFIG_FILE
 	chmod 644 $JVM_CONFIG_FILE
     else
 	# the file does not exist, remove it from the configuration
 	TMP_FILE=`mktemp /tmp/ooset-java-class.XXXXXXXXXX` || exit 1;
-	sed -e "s|^\(.*UNO_JAVA_JFW_CLASSPATH_URLS.*\)file:/*$path\([[:space:]].*\)\?$|\1\2|" \
-	    -e "s/\(UNO_JAVA_JFW_CLASSPATH_URLS=\)[[:space:]]\+/\1/" \
-	    -e "/^.*UNO_JAVA_JFW_CLASSPATH_URLS/s/[[:space:]]\+/ /g" \
-	    -e "/^.*UNO_JAVA_JFW_CLASSPATH_URLS/s/[[:space:]]*$//" $JVM_CONFIG_FILE >$TMP_FILE
+	sed -e "s|^\(.*URE_MORE_JAVA_CLASSPATH_URLS.*\)file:/*$path\([[:space:]].*\)\?$|\1\2|" \
+	    -e "s/\(URE_MORE_JAVA_CLASSPATH_URLS=\)[[:space:]]\+/\1/" \
+	    -e "/^.*URE_MORE_JAVA_CLASSPATH_URLS/s/[[:space:]]\+/ /g" \
+	    -e "/^.*URE_MORE_JAVA_CLASSPATH_URLS/s/[[:space:]]*$//" $JVM_CONFIG_FILE >$TMP_FILE
 	mv -f $TMP_FILE $JVM_CONFIG_FILE
 	chmod 644 $JVM_CONFIG_FILE
     fi

Modified: branches/opensuse-11-1/bin/piece/file-list-l10n
==============================================================================
--- branches/opensuse-11-1/bin/piece/file-list-l10n	(original)
+++ branches/opensuse-11-1/bin/piece/file-list-l10n	Thu Jan 22 16:53:39 2009
@@ -13,6 +13,27 @@
 echo "%dir $OO_INSTDIR/basis3.0/help" >>files-$piece.txt
 echo "$OO_INSTDIR/basis3.0/help/main_transform.xsl" >>files-$piece.txt
 
+if test "$VENDORNAME" = "Novell" ; then
+    # We want to update an existing gallery. Unfortunately, gengal does not work
+    # because of missing services.rdb, ... Therefore we need to use a prebuilt
+    # version
+    echo "Adding Novell specific Draft.jpg to Backgrounds gallery..."
+    GAL_DIR=$OO_INSTDIR/basis3.0/share/gallery
+    if test `du --block-size=1 --apparent-size $DESTDIR$GAL_DIR/sg3.sdg | cut -f1` -eq 270058 ; then
+	cp "$OO_TOOLSDIR/../src/Draft.jpg" "$DESTDIR$GAL_DIR/www-back/" || exit 1;
+	chmod 644 $DESTDIR$GAL_DIR/www-back/Draft.jpg || exit 1;
+	echo $GAL_DIR/www-back/Draft.jpg >>files-$piece.txt
+	for file in sg3.sdg sg3.sdv sg3.thm ; do
+	    cp -f "$OO_TOOLSDIR/../src/$file" "$DESTDIR$GAL_DIR/$file" || exit 1;
+	    chmod 644 "$DESTDIR$GAL_DIR/$file" || exit 1;
+	done
+    else
+	echo "Error: The upstream gallery sg3.sdg has changed. Please, update the prebuilt"
+	echo "       Novell variant in $OO_TOOLSDIR/../src/"
+	exit 1;
+    fi
+fi
+
 # prune redundant files the scp2 likes to make for us
 remove_file "files-$piece.txt" "$OO_INSTDIR/basis-link"
 remove_file "files-$piece.txt" "$OO_INSTDIR/basis3.0/ure-link"

Modified: branches/opensuse-11-1/bin/piece/file-list-postprocess
==============================================================================
--- branches/opensuse-11-1/bin/piece/file-list-postprocess	(original)
+++ branches/opensuse-11-1/bin/piece/file-list-postprocess	Thu Jan 22 16:53:39 2009
@@ -13,6 +13,16 @@
 $OO_TOOLSDIR/piece/desktop-support-app "$piece" "$ooo_build_tag" "fromtemplate"
 $OO_TOOLSDIR/piece/desktop-support-app "$piece" "$ooo_build_tag" "ooffice"
 
+# create bash completion
+mkdir -p $DESTDIR/etc/bash_completion.d
+$OO_TOOLSDIR/generate-bash-completion --binsuffix="$BINSUFFIX" $OO_TOOLSDIR/bash-completion.in $DESTDIR/etc/bash_completion.d/ooffice${BINSUFFIX}.sh || exit 1;
+echo /etc/bash_completion.d/ooffice${BINSUFFIX}.sh >>files-$piece.txt
+
+echo "Installing $OO_INSTDIR/basis3.0/program/java-set-classpath"
+sed -e "s|@OOINSTBASE@|$OO_INSTDIR|g" $OO_TOOLSDIR/java-set-classpath.in >$DESTDIR$OO_INSTDIR/basis3.0/program/java-set-classpath || exit 1;
+chmod 755 $DESTDIR$OO_INSTDIR/basis3.0/program/java-set-classpath
+echo "$OO_INSTDIR/basis3.0/program/java-set-classpath" >>files-$piece.txt
+
 # FIXME: about, intro are not isntalled by the installer
 if test "$OOO_BUILD_NOARCH" = 'YES' ; then
     # create only symlinks; the icons will be packaged separately
@@ -21,6 +31,6 @@
 else
     cp $OO_SOLVERDIR/default_images/introabout/about.bmp $DESTDIR$OO_INSTDIR/program || exit 1;
     cp $OO_SOLVERDIR/default_images/introabout/intro.bmp $DESTDIR$OO_INSTDIR/program || exit 1;
-fi    
+fi
 echo "$OO_INSTDIR/program/about.bmp" >>files-$piece.txt
 echo "$OO_INSTDIR/program/intro.bmp" >>files-$piece.txt

Modified: branches/opensuse-11-1/bin/piece/install-bootstrap
==============================================================================
--- branches/opensuse-11-1/bin/piece/install-bootstrap	(original)
+++ branches/opensuse-11-1/bin/piece/install-bootstrap	Thu Jan 22 16:53:39 2009
@@ -36,7 +36,10 @@
    $TOOLSDIR/src/*.jpg \
    $TOOLSDIR/src/*.patch \
    $TOOLSDIR/src/*.odb \
+   $TOOLSDIR/src/sg3.* \
    $TOOLSDIR/src/main_transform.xsl \
+   $TOOLSDIR/src/icons \
+   $TOOLSDIR/src/layout \
    $OOINSTDIR/ooo-build/src
 # src/sdf
 mkdir -p $OOINSTDIR/ooo-build/src/sdf

Modified: branches/opensuse-11-1/bin/piece/sys-setup.in
==============================================================================
--- branches/opensuse-11-1/bin/piece/sys-setup.in	(original)
+++ branches/opensuse-11-1/bin/piece/sys-setup.in	Thu Jan 22 16:53:39 2009
@@ -2,6 +2,7 @@
 
 # stuff from configure
 export DISTRO='@DISTRO@'
+export VENDORNAME='@VENDORNAME@'
 export OO_INSTDIR= libdir@/@OOOINSTALLDIRNAME@
 export OO_PREFIX= prefix@
 export OO_MANDIR= mandir@

Modified: branches/opensuse-11-1/bin/unpack
==============================================================================
--- branches/opensuse-11-1/bin/unpack	(original)
+++ branches/opensuse-11-1/bin/unpack	Thu Jan 22 16:53:39 2009
@@ -733,9 +733,4 @@
     $GNUCP -a $SRCDIR/Sun_ODF_Template_Pack_$pack.oxt -d $OOBUILDDIR/extras/source/extensions || exit 1
 done
 
-# Extra command images
-echo "Copying extra command images"
-$GNUCP -f $TOOLSDIR/src/icons/*.png $OOBUILDDIR/default_images/res/commandimagelist/ || exit 1
-$GNUCP -f $TOOLSDIR/src/icons/tango/*.png $OOBUILDDIR/ooo_custom_images/tango/res/commandimagelist/ || exit 1
-
 fi # PIECES hack

Modified: branches/opensuse-11-1/src/layout/Makefile.am
==============================================================================
--- branches/opensuse-11-1/src/layout/Makefile.am	(original)
+++ branches/opensuse-11-1/src/layout/Makefile.am	Thu Jan 22 16:53:39 2009
@@ -1 +1,4 @@
-EXTRA_DIST = README $(wildcard *.png)
+EXTRA_DIST = README $(wildcard *.png) default_images ooo_custom_images
+
+dist-hook:
+	rm -rf `find $(distdir)/src/layout -name .svn`

Added: branches/opensuse-11-1/src/sg3.sdg
==============================================================================
Binary file. No diff available.

Added: branches/opensuse-11-1/src/sg3.sdv
==============================================================================
Binary file. No diff available.

Added: branches/opensuse-11-1/src/sg3.thm
==============================================================================
Binary file. No diff available.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]